Capital icon

Static financing offers

Learn how to get static offers with fixed financing amounts and repayment terms.

Limited availability
Variable repayment terms (90, 180, and 360 days) for financing offers are currently in a pilot phase. To request access, reach out to your Adyen contact.


Adyen supports static financing offers through the Capital API. Based on their processing history, users may receive up to nine offers with fixed financing amounts and repayment terms of 90, 180, and 360 days. You can then show these predefined offers in your user interface (UI).

Requirements

Before you begin, take into account the following requirements, limitations, and preparations.

Requirement Description
Integration type You must have an Adyen for Platforms integration that supports Capital.
API credentials You must have a Balance Platform API key (for example, ws[_123456]@BalancePlatform.[YourBalancePlatform]) to access the Capital API.

Your API credential must have the following roles:
  • Balance Platform Capital Configuration role
  • Balance Platform Capital Grant Initiation role
Capabilities Make sure that your user have the following capability:
  • getGrantOffers
Limitations The grant offer remains valid for seven days. After this period, a new offer is generated for an account holder if they still meet the qualification criteria. The amount of the grant offer may differ from one offer to another.
Setup steps Before you begin, make sure you followed our compliance guidelines for Capital when creating user interfaces, marketing materials, and other processes.

Get static offers available to an account holder

This API request also returns static offers created using the dynamic offers flow.

To get static offers available to your user:

  1. Make a GET /grantOffers request with the receiving accountHolderId as a query parameter.

  2. In the response, review the grantOffers object, which contains the following parameters for each static offer returned.

    Parameter Description
    accountHolderId The unique identifier of the receiving account holder.
    amount An object containing the amount of the grant, in minor units.
    contractType The legal type of the grant offer. Possible values: loan, cashAdvance.
    expiresAt The expiration date and time of the offer validity period.
    fee An object containing the fee currency and value, in minor units.
    id The unique identifier of the static offer.
    repayment An object containing the details of the repayment configuration.
    repayment.basisPoints The repayment amount, in basis points, that is deducted daily from your user's incoming net volume.
    repayment.term.estimatedDays The estimated term for repaying the grant, in days.
    repayment.term.maximumDays The maximum term for repaying the grant, in days. Only returned when contractType is loan.
    repayment.threshold An object containing the details of the minimum threshold amount that your user must repay every 30-day period.
    startsAt The starting date and time of the offer validity period.

    The following example shows three static offers for each available repayment term for the account holder AH00000000000000000000001.

Get a specific static offer

This API request also returns static offers created using the dynamic offers flow.

To get the details of a specific static offer:

  1. Make a GET /grantOffers/{id} request, specifying the id in the path.

  2. In the response, note an object containing all the information about the offer.

Get notified about a static offer created

You can get updates every time a new static offer is created for an account holder by subscribing to the balancePlatform.balanceAccountHolder.capitalOffer.created webhook.

The webhook includes information about the offer, such as:

  • accountHolderId: The unique identifier of the account holder that the static offer is for.
  • id: The unique identifier of the static offer.
  • contractType: loan.
  • amount: An object containing currency and value of the offer, in minor units.
  • repayment.term.estimatedDays: The estimated period for repaying the grant, in days.
  • repayment.term.maximumDays: The maximum period for repaying the grant, in days.
  • repayment.basisPoints: The repayment amount, in basis points, that is deducted daily from your user's incoming net volume.
  • repayment.threshold: An object containing the details of the minimum threshold amount that your user must repay every 30-day period.
  • fee: An object containing the fee currency and value, in minor units.
  • startsAt and expiresAt: The dates when the financing offer begins and ends. The offer must be accepted before the expiration date.

Next steps